export declare enum ErrorCode {
    VERIFY_FAIL = 4,
    TIME_LIMIT = 1006,
    PLAYING = 2003,
    RENDER_FAIL = 2004,
    ACROSS_PAGES = 2005,
    DESTROYED = 2006
}
declare const interstitalAdErrCodes: readonly [
    4,
    1006,
    2003,
    2004,
    2005,
    2006
];
/**
 * @value 4 广告校验失败
 * @value 1006 小程序启动一定时间内不允许展示插屏广告
 * @value 2003 当前正在播放插屏广告，不允许再次展示插屏广告
 * @value 2004 广告渲染失败
 * @value 2005 插屏广告实例不允许跨页面调用
 * @value 2006 插屏广告实例已经销毁
 */
declare type InterstitalAdErrCode = typeof interstitalAdErrCodes[number];
export interface InterstitialAdErrorEvent {
    /**
     * 错误码
     */
    errCode: InterstitalAdErrCode;
    /**
     * 错误信息
     */
    errMsg: string;
}
export {};
