declare const rewardedVideoAdErrCodes: readonly [
    0,
    1,
    2,
    3,
    4,
    5,
    1006
];
/**
 * @value 0 内部错误
 * @value 1 广告对象已关闭
 * @value 2 广告数据暂未准备好
 * @value 3 网络错误
 * @value 4 广告校验失败
 * @value 5 详情页正在展示
 * @value 1006 过早展示广告，需在规定时间后再展示广告
 */
declare type RewardedVideoAdErrCode = typeof rewardedVideoAdErrCodes[number];
export interface RewardedVideoAdErrorEvent {
    /**
     * 错误码
     */
    errCode: RewardedVideoAdErrCode;
}
export {};
