import { ReferrerInfo } from "./ReferrerInfo";
import { OpenConfigInfo } from "./OpenConfigInfoEntity";
export interface LaunchOptions {
    /**
     * 启动小程序的代码包路径
     */
    path: string;
    /**
     * 启动小程序的[场景值](/develop/frame/sceneid)
     */
    scene: string;
    /**
     * 启动小程序的[内部场景值]
     *
     */
    internalScene?: string;
    /**
     * 启动小程序的 query 参数
     */
    query: Record<string, unknown>;
    /**
     * 进入小程序的来源信息
     */
    referrerInfo?: ReferrerInfo;
    /**
     * 启动小程序的模式
     */
    mode: 'default' | 'halfPage';
    /**
     * 打开小程序的来源方式。</br>'schema' : 用户点击小程序入口</br>'other' : 其他 （如：后台进前台）
     * @version {"kma":"1.39.0"}
     */
    showFrom: 'schema' | 'other';
    /**
     * 扩展信息
    */
    openConfigInfo?: OpenConfigInfo;
}
