export declare const entryTypes: readonly [
    "resource",
    "navigation",
    "paint",
    "mark"
];
/**
 * @value 'resource' 资源下载
 * @value 'navigation' 路由
 * @value 'paint' 渲染
 * @value 'mark' 用户自定义类型
 */
declare type EntryType = typeof entryTypes[number];
/**
 *
 */
export interface PerformanceEntry {
    /**
     * 	指标类型
     */
    entryType: EntryType;
    /**
     * 指标名称
     */
    name: string;
    /**
     * 指标调用开始时间
     */
    startTime: number;
    /**
     * 指标耗时
     */
    duration: number;
    /**
     * 路径
     */
    path?: string;
}
export {};
