import { PerformanceEntry } from "../PerformanceEntry";
/**
 * 性能数据列表。
 */
export interface PerformanceEntryList {
    /**
     * 获取性能数据列表中的所有性能数据。
     * @returns
     */
    getEntries(): PerformanceEntry[];
    /**
     * 获取性能数据列表中所有名称为 `name` 且类型为 `entryType` 的性能数据。
     * @param name 指定性能数据的名称
     * @param entryType 指定性能数据的类型
     * @returns
     */
    getEntriesByName(name: string, entryType?: string): PerformanceEntry[];
    /**
     * 获取性能数据列表中所有型为 `entryType` 的性能数据。
     * @param entryType 指定性能数据的类型
     * @returns
     */
    getEntriesByType(entryType: string): PerformanceEntry[];
}
