import { entryTypes } from "../PerformanceEntry";
/**
 * @value 'navigation' 路由
 * @value 'render' 渲染
 * @value 'script' 脚本
 * @value 'mark' 用户自定义类型
 */
declare type EntryType = typeof entryTypes[number];
export interface PerformanceObserveOptions {
    /**
     * 指定单个类型指标
     */
    type?: EntryType;
    /**
     * 指定多个类型指标，仅在不指定单个类型指标时生效
     * @value 'resource' 资源下载
     * @value 'navigation' 路由
     * @value 'paint' 渲染
     * @value 'mark' 用户自定义类型
     */
    entryTypes?: EntryType[];
    /**
     * 获取已经在缓冲区的性能数据，仅在指定单个类型指标时生效
     */
    buffered?: boolean;
}
export {};
