import { PerformanceObserveOptions } from "./PerformanceObserveOptions";
/**
 * 监听性能相关事件的对象。
 */
export interface PerformanceObserver {
    /**
     * 当前支持的所有性能指标类型
     */
    readonly supportedEntryTypes?: readonly [
        "resource",
        "navigation",
        "paint",
        "mark"
    ];
    /**
     * 开始监听性能数据
     * @param options
     * @returns
     */
    observe(options: PerformanceObserveOptions): void;
    /**
     * 停止监听性能数据
     */
    disconnect(): void;
}
