import { Performance } from "./Performance";
export declare class PerformanceAPI {
    /**
     * 获取当前小程序性能相关的信息。
     * @returns Performance 对象，用于获取性能数据及创建性能监听器。
     *
     * @example
     * ```javascript
     * const performance = ks.getPerformance();
     *
     * performance.getEntries().forEach((entry) => {
     *     const { name, startTime, path } = entry;
     * });
     *
     * ```
     *
     */
    getPerformance(): Performance;
}
