import { NavigateToResult } from "./NavigateToResult";
declare type NavigateToCallbackOptions = import("../../common").CallbackOptions<NavigateToResult, import("../../common").APIError>;
export interface NavigateToOptions extends NavigateToCallbackOptions {
    /**
     * 需要跳转到的页面的代码包路径。路径后可以带参数，参数与路径之间用 `?` 分隔，参数键与参数值之间用 `=` 相连，不同参数之间用 `&` 分隔，如 `'path?key=value&key2=value2'`
     */
    url: string;
    /**
     * 页面间通信接口，用于监听被打开页面发送到当前页面的数据
     */
    events?: Record<string, (data: unknown) => void>;
}
export {};
