import { SafeArea } from "./SafeArea";
export interface SystemInfo {
    /**
     * 设备品牌
     */
    brand: string;
    /**
     * 设备型号
     */
    model: string;
    /**
     * 设备像素比
     */
    pixelRatio: number;
    /**
     * 屏幕宽度 (px)
     */
    screenWidth: number;
    /**
     * 屏幕高度 (px)
     */
    screenHeight: number;
    /**
     * 可使用窗口宽度 (px)
     */
    windowWidth: number;
    /**
     * 可使用窗口高度 (px)
     */
    windowHeight: number;
    /**
     * 状态栏的高度 (px)
     */
    statusBarHeight: number;
    /**
     * 快手设置的语言
     */
    language: string;
    /**
     * 快手版本号
     */
    version: string;
    /**
     * 操作系统及版本
     */
    system: string;
    /**
     * 客户端平台
     */
    platform: string;
    /**
     * 小程序宿主
     * @value 'KUAISHOU' 快手
     * @value 'NEBULA' 快手极速版
     */
    host: 'KUAISHOU' | 'NEBULA';
    /**
     * 客户端基础库版本
     */
    SDKVersion: string;
    /**
     * 在竖屏正方向下的安全区域
     */
    safeArea: SafeArea;
}
