import { GetSystemInfoOptions } from "./GetSystemInfoOptions";
import { SystemInfo } from "./SystemInfo";
export declare class SystemAPI {
    /**
     * 获取系统信息。
     * @version {"kma":"1.26.1","ide":"1.22.0"}
     * @param options
     * @returns
     * @example
     * ```javascript
     * const systemInfo = await ks.getSystemInfo();
     * console.log(systemInfo);
     *
     * ```
     *
     */
    getSystemInfo(options?: GetSystemInfoOptions): Promise<SystemInfo>;
    /**
     * 同步获取系统信息。
     * @version {"kma":"1.26.1","ide":"1.22.0"}
     * @returns 系统信息
     * @example
     * ```javascript
     * const systemInfo = ks.getSystemInfoSync();
     * console.log(systemInfo);
     *
     * ```
     *
     */
    getSystemInfoSync(): SystemInfo;
}
