import { UpdateManager } from "./UpdateManager";
export declare class UpdateAPI {
    /**
     * 获取全局唯一的版本更新管理器，用于管理小程序更新。
     * @returns 版本更新管理器对象
     *
     *
     * @example
     * ```javascript
     * const updateManager = ks.getUpdateManager();
     *
     * updateManager.onUpdateReady(async () => {
     *     const { confirm } = await ks.showModal({
     *         title: '更新提示',
     *         content: '新版本已经准备好，是否重启应用？',
     *     });
     *
     *     if (confirm) {
     *         updateManager.applyUpdate();
     *     }
     * });
     *
     * ```
     *
     *
     */
    getUpdateManager(): UpdateManager;
}
