import { CanvasContext } from "../CanvasContext";
export interface Canvas {
    /**
     * @alpha
     */
    width?: number;
    /**
     * @alpha
     */
    height?: number;
    /**
     * 获取画布上下文对象。
     * @returns 画布上下文对象
     * @alpha
     *
     * @example
     * ```javascript
     * ks.createSelectorQuery()
     *     .select('#myCanvas')
     *     .node()
     *     .exec((res) => {
     *         const canvas = res[0].node;
     *         const ctx = canvas.getContext();
     *         ctx.fillStyle = 'red';
     *         ctx.fillRect(10, 10, 150, 100);
     *         ctx.draw();
     *     });
     *
     * ```
     *
     */
    getContext(): CanvasContext;
}
export {};
