export declare const repetitions: readonly [
    "no-repeat",
    "repeat-x",
    "repeat-y",
    "repeat"
];
/**
 * @value 'repeat' 水平竖直方向都重复
 * @value 'repeat-x' 水平方向重复
 * @value 'repeat-y' 垂直方向重复
 * @value 'no-repeat' 不重复
 */
declare type Repetition = typeof repetitions[number];
export interface ImagePattern {
    /**
     * 重复的图像源，支持代码包路径和本地临时路径 (本地路径)
     */
    image: string;
    /**
     * 如何重复图像
     */
    repetition: Repetition;
}
export {};
