import { CanvasGetImageDataResult } from "./CanvasGetImageDataResult";
declare type CanvasGetImageDataCallbackOptions = import("../common").CallbackOptions<CanvasGetImageDataResult, import("../common").APIError>;
export interface CanvasGetImageDataOptions extends CanvasGetImageDataCallbackOptions {
    /**
     * `canvas` 组件的 `canvas-id` 属性
     */
    canvasId: string;
    /**
     * 源图像数据在目标画布中的位置偏移量（x 轴方向的偏移量）
     */
    x: number;
    /**
     * 源图像数据在目标画布中的位置偏移量（y 轴方向的偏移量）
     */
    y: number;
    /**
     * 源图像数据矩形区域的宽度
     */
    width: number;
    /**
     * 源图像数据矩形区域的高度
     */
    height: number;
}
export {};
