import { CanvasToTempFilePathResult } from "./CanvasToTempFilePathResult";
declare const fileTypes: readonly [
    "jpg",
    "png"
];
declare type FileType = typeof fileTypes[number];
declare type CanvasToTempFilePathCallbackOptions = import("../common").CallbackOptions<CanvasToTempFilePathResult, import("../common").APIError>;
export interface CanvasToTempFilePathOptions extends CanvasToTempFilePathCallbackOptions {
    /**
     * 指定的画布区域的左上角横坐标
     */
    x?: number;
    /**
     * 指定的画布区域的左上角纵坐标
     */
    y?: number;
    /**
     * 指定的画布区域的宽度
     */
    width?: number;
    /**
     * 指定的画布区域的高度
     */
    height?: number;
    /**
     * 输出的图片的宽度
     */
    destWidth?: number;
    /**
     * 输出的图片的高度
     */
    destHeight?: number;
    /**
     * `canvas` 组件的 `canvas-id` 属性
     */
    canvasId?: string;
    /**
     * 目标文件的类型
     */
    fileType?: FileType;
    /**
     * 图片的质量，目前仅对 jpg 有效。取值范围为 (0, 1]，不在范围内时当作 1.0 处理
     */
    quality?: number;
}
export {};
