import { BatteryInfo } from "./BatteryInfo";
import { GetBatteryInfoOptions } from "./GetBatteryInfoOptions";
export declare class BatteryAPI {
    /**
     * 获取设备电量信息。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * const info = await ks.getBatteryInfo();
     * console.log(info);
     *
     * ```
     *
     */
    getBatteryInfo(options?: GetBatteryInfoOptions): Promise<BatteryInfo>;
    /**
     * 同步获取设备电量信息。
     * @returns 设备电量信息
     *
     * @example
     * ```javascript
     * const info = ks.getBatteryInfoSync();
     * console.log(info);
     *
     * ```
     *
     */
    getBatteryInfoSync(): BatteryInfo;
}
