export interface GyroscopeChangeEvent {
    /**
     * 设备 x 轴的角速度 (rad/s)。设备坐标系中，x 轴沿着屏幕表面，向右为正，向左为负
     */
    x: number;
    /**
     * 设备 y 轴的角速度 (rad/s)。设备坐标系中，y 轴沿着屏幕表面，向上为正，向下为负
     */
    y: number;
    /**
     * 设备 z 轴的角速度 (rad/s)。设备坐标系中，z 轴垂直屏幕表面或键盘，远离屏幕的方向为正
     */
    z: number;
}
