declare const networkTypes: readonly [
    "wifi",
    "2g",
    "3g",
    "4g",
    "5g",
    "unknown",
    "none"
];
/**
 * @value 'wifi' Wi-Fi 网络
 * @value '2g' 2G 网络
 * @value '3g' 3G 网络
 * @value '4g' 4G 网络
 * @value '5g' 5G 网络
 * @value 'unknown' Android 下不常见的网络类型
 * @value 'none' 无网络
 */
declare type NetworkType = typeof networkTypes[number];
export interface GetNetworkTypeResult {
    /**
     * 网络类型
     */
    networkType: NetworkType;
}
export {};
