import { ScanCodeResult } from "./ScanCodeResult";
declare const scanTypes: readonly [
    "barCode",
    "qrCode",
    "datamatrix",
    "pdf417"
];
declare type ScanType = typeof scanTypes[number];
declare type ScanCodeCallbackOptions = import("../../common").CallbackOptions<ScanCodeResult, import("../../common").APIError>;
export interface ScanCodeOptions extends ScanCodeCallbackOptions {
    /**
     * 是否只能从相机扫码，而不允许从相册选择图片
     */
    onlyFromCamera?: boolean;
    /**
     * 扫码类型
     * @defaultValue ['barCode', 'qrCode']
     * @value 'barCode' 一维码
     * @value 'qrCode' 二维码
     * @value 'datamatrix' Data Matrix 码
     * @value 'pdf417' PDF417 条码
     */
    scanType?: ScanType[];
}
export {};
