import { VibrateLongOptions } from "./VibrateLongOptions";
import { VibrateShortOptions } from "./VibrateShortOptions";
export declare class VibrateAPI {
    /**
     * 使手机发生较长时间的振动，时长 400 (ms)。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * await ks.vibrateLong();
     *
     * ```
     *
     */
    vibrateLong(options?: VibrateLongOptions): Promise<void>;
    /**
     * 使手机发生较短时间的振动，时长 15 (ms)（仅在 iPhone 7 / 7 Plus 以上及 Android 上生效）。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * await ks.vibrateShort();
     *
     * ```
     *
     */
    vibrateShort(options?: VibrateShortOptions): Promise<void>;
}
