import { GetExtConfigOptions } from "./GetExtConfigOptions";
import { GetExtConfigResult } from "./GetExtConfigResult";
export declare class ExtAPI {
    /**
     * 获取第三方平台自定义的数据字段。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * const { extConfig } = await ks.getExtConfig();
     *
     * ```
     *
     */
    getExtConfig(options?: GetExtConfigOptions): Promise<GetExtConfigResult>;
    /**
     * 同步获取第三方平台自定义的数据字段。
     * @returns 第三方平台自定义的数据字段
     *
     * @example
     * ```javascript
     * const extConfig = ks.getExtConfigSync();
     *
     * ```
     *
     */
    getExtConfigSync(): Record<string, unknown>;
}
