import { fileEncodings } from "./const";
import { ReadFileResult } from "./ReadFileResult";
declare type FileEncoding = typeof fileEncodings[number];
declare type ReadFileCallbackOptions = import("../../common").FileCallbackOptions<ReadFileResult, import("../../common").APIFileFullError>;
export interface ReadFileOptions extends ReadFileCallbackOptions {
    /**
     * 要读取数据的文件本地路径
     */
    filePath: string;
    /**
     * 读取数据的字符编码，不传入则使用 `ArrayBuffer`
     */
    encoding?: FileEncoding;
    /**
     * 文件中读取数据的起始位置 (Byte)
     */
    position?: number;
    /**
     * 文件中读取数据的长度 (Byte)，不传入则读取到文件末尾
     */
    length?: number;
}
export {};
