import { fileEncodings } from "./const";
import { CommonFileResult } from "./CommonFileResult";
declare type FileEncoding = typeof fileEncodings[number];
declare type WriteFileCallbackOptions = import("../../common").FileCallbackOptions<CommonFileResult, import("../../common").APIFileFullError>;
export interface WriteFileOptions extends WriteFileCallbackOptions {
    /**
     * 要写入数据的文件本地路径
     */
    filePath: string;
    /**
     * 要写入的数据
     */
    data: string | ArrayBuffer;
    /**
     * 写入数据的字符编码
     */
    encoding?: FileEncoding;
}
export {};
