import { BoundingClientRect } from "../../common";
import { IntersectionRelativeRect } from "./IntersectionRelativeRect";
export interface IntersectionEvent {
    /**
     * 节点 ID
     */
    id: string;
    /**
     * 节点自定义数据属性
     */
    dataset: Record<string, unknown>;
    /**
     * 相交比例
     */
    intersectionRatio: number;
    /**
     * 相交区域的边界
     */
    intersectionRect: BoundingClientRect;
    /**
     * 目标边界
     */
    boundingClientRect: BoundingClientRect;
    /**
     * 参照区域的边界
     */
    relativeRect: IntersectionRelativeRect;
}
