/**
 * NodesRefFields
 *
 */
export interface NodesRefFields {
    /**
     * 是否返回节点 id
     */
    id?: boolean;
    /**
     * 是否返回节点 dataset
     */
    dataset?: boolean;
    /**
     * 是否返回节点 mark
     */
    mark?: boolean;
    /**
     * 是否返回节点布局位置（left right top bottom）
     */
    rect?: boolean;
    /**
     * 是否返回节点尺寸（width height）
     */
    size?: boolean;
    /**
     * 是否返回节点的 scrollLeft scrollTop，节点必须是 scroll-view 或者 viewport
     */
    scrollOffset?: boolean;
    /**
     * 指定属性名列表，返回节点对应属性名的当前属性值（只能获得组件文档中标注的常规属性值，id class style 和事件绑定的属性值不可获取）
     */
    properties?: string[];
    /**
     * 指定样式名列表，返回节点对应样式名的当前值
     */
    computedStyle?: string[];
    /**
     * 是否返回节点对应的 Context 对象
     */
    context?: boolean;
    /**
     * 是否返回节点对应的 Node 实例
     */
    node?: boolean;
}
