import { LocationInfo } from "./LocationInfo";
declare const locationTypes: readonly [
    "wgs84",
    "gcj02"
];
declare type LocationType = typeof locationTypes[number];
declare type GetLocationCallbackOptions = import("../common").CallbackOptions<LocationInfo, import("../common").APIError>;
export interface GetLocationOptions extends GetLocationCallbackOptions {
    /**
     * 坐标类型
     */
    type?: LocationType;
    /**
     * 是否获取高度信息。获取高度信息时，需要较高精度，接口耗时会增加
     */
    altitude?: boolean;
    /**
     * 是否开启高精度定位。开启高精度定位后，接口耗时会增加
     */
    isHighAccuracy?: boolean;
    /**
     * 开启高精度定位后，接口的超时时间 (ms)。接口在超时时间内返回获取的最高精度地理位置信息。该值在 3000 (ms) 以上时，高精度定位才有效果
     */
    highAccuracyExpireTime?: number;
}
export {};
