export interface LocationInfo {
    /**
     * 纬度，范围 [-90, 90]，负数表示南纬
     */
    latitude: number;
    /**
     * 经度，范围 [-180, 180]，负数表示西经
     */
    longitude: number;
    /**
     * 速度 (m/s)
     */
    speed: number;
    /**
     * 位置的精确度
     */
    accuracy: number;
    /**
     * 高度 (m)
     */
    altitude?: number;
    /**
     * 垂直精度 (m)（Android 无法获取，返回 0）
     */
    verticalAccuracy: number;
    /**
     * 水平精度 (m)
     */
    horizontalAccuracy: number;
}
