declare type OpenLocationCallbackOptions = import("../common").CallbackOptions<void, import("../common").APIError>;
export interface OpenLocationOptions extends OpenLocationCallbackOptions {
    /**
     * 纬度，范围为-90~90，负数表示南纬。使用 gcj02 国测局坐标系
     */
    latitude: number;
    /**
     * 经度，范围为-180~180，负数表示西经。使用 gcj02 国测局坐标系
     */
    longitude: number;
    /**
     * 缩放比例，范围5~18
     */
    scale: number;
    /**
     * 位置名
     */
    name?: string;
    /**
     * 地址的详细说明
     */
    address?: string;
}
export {};
