import { MapContext } from "./MapContext";
export declare class MapAPI {
    /**
     * 创建地图上下文对象。
     * @param mapId `<map>` 组件的 `id` 属性
     * @returns 地图上下文对象
     *
     * @example
     * ```javascript
     * Page({
     *     data: {
     *         latitude: 39.907957,
     *         longitude: 116.397493,
     *         markers: [
     *             {
     *                 id: 1,
     *                 latitude: 39.907957,
     *                 longitude: 116.397493,
     *                 title: '北京',
     *             },
     *         ],
     *         circles: [
     *             {
     *                 latitude: 39.907957,
     *                 longitude: 116.397493,
     *                 radius: 100,
     *             },
     *         ],
     *         scale: 16,
     *     },
     *     createMapContext() {
     *         // API调用需传入 mapId(map 组件的 id)
     *         const mapCtx = ks.createMapContext('myMap');
     *         console.log('地图上下文:', mapCtx);
     *     },
     * });
     *
     * ```
     *
     */
    createMapContext(mapId: string): MapContext;
}
