import { BackgroundAudioManager } from "./BackgroundAudioManager";
export declare class BackgroundAudioAPI {
    /**
     * 获取全局唯一的背景音频管理器。小程序切后台，如果音频处于播放状态，可以继续播放，但不能在后台通过 API 操纵音频的播放状态。
     *
     * 需要在 app.json 中配置 `requiredBackgroundModes` 属性。开发版和体验版上可以直接生效，正式版还需通过审核。
     * @returns 背景音频管理器
     * @alpha
     *
     * @example
     * ```javascript
     * const backgroundAudioManager = ks.getBackgroundAudioManager();
     *
     * backgroundAudioManager.title = '背景音乐';
     * backgroundAudioManager.src =
     *     'https://static.yximgs.com/udata/pkg/miniprogram-outer/test.m4a';
     * backgroundAudioManager.play();
     *
     * ```
     *
     */
    getBackgroundAudioManager(): BackgroundAudioManager;
}
