import { CameraFrameListenerStartOptions } from "./CameraFrameListenerStartOptions";
import { CameraFrameListenerStopOptions } from "./CameraFrameListenerStopOptions";
/**
 * 相机帧数据监听器。
 */
export interface CameraFrameListener {
    /**
     * 开始监听相机帧数据。
     * @param options
     * @returns
     */
    start(options?: CameraFrameListenerStartOptions): Promise<void>;
    /**
     * 停止监听相机帧数据。
     * @param options
     * @returns
     */
    stop(options?: CameraFrameListenerStopOptions): Promise<void>;
}
