import { CameraContext } from "./CameraContext";
export declare class CameraAPI {
    /**
     * 创建相机上下文对象。
     * @returns 相机上下文对象
     *
     * @example
     * ```javascript
     * const ctx = ks.createCameraContext();
     * const { tempImagePath } = await ctx.takePhoto();
     * await ctx.startRecord();
     *
     * setTimeout(async () => {
     *     const { tempVideoPath, tempThumbPath } = await ctx.stopRecord({
     *         compressed: true,
     *     });
     * }, 3000);
     *
     * ```
     *
     */
    createCameraContext(): CameraContext;
}
