import { ChooseImageResult } from "./ChooseImageResult";
declare const chooseImageSizeTypes: readonly [
    "original",
    "compressed"
];
declare type ChooseImageSizeType = typeof chooseImageSizeTypes[number];
declare const chooseImageSourceTypes: readonly [
    "album",
    "camera"
];
/**
 * @value 'album' 相册
 * @value 'camera' 相机
 */
declare type ChooseImageSourceType = typeof chooseImageSourceTypes[number];
declare type ChooseImageCallbackOptions = import("../../common").CallbackOptions<ChooseImageResult, import("../../common").APIError>;
export interface ChooseImageOptions extends ChooseImageCallbackOptions {
    /**
     * 最多可以选择的图片张数
     */
    count?: number;
    /**
     * 所选图片的尺寸
     * @defaultValue ['original', 'compressed']
     * @value 'original' 原图
     * @value 'compressed' 压缩图
     */
    sizeType?: ChooseImageSizeType[];
    /**
     * 选择图片的来源
     */
    sourceType?: ChooseImageSourceType[];
}
export {};
