declare const imageOrientations: readonly [
    "up",
    "up-mirrored",
    "down",
    "down-mirrored",
    "left-mirrored",
    "right",
    "right-mirrored",
    "left"
];
declare type ImageOrientation = typeof imageOrientations[number];
export interface ImageInfo {
    /**
     * 图片的原始宽度 (px)
     */
    width: number;
    /**
     * 图片的原始高度 (px)
     */
    height: number;
    /**
     * 图片的本地路径
     */
    path: string;
    /**
     * 拍摄时设备的方向
     */
    orientation: ImageOrientation;
    /**
     * 图片格式
     */
    type: string;
}
export {};
