declare const recorderSampleRates: readonly [
    8000,
    11025,
    12000,
    16000,
    22050,
    24000,
    32000,
    44100,
    48000
];
declare type RecorderSampleRate = typeof recorderSampleRates[number];
declare const recorderFormats: readonly [
    "mp3",
    "aac",
    "wav",
    "pcm"
];
declare type RecorderFormat = typeof recorderFormats[number];
declare const recorderAudioSources: readonly [
    "auto",
    "buildInMic",
    "headsetMic",
    "mic",
    "camcorder",
    "voice_communication",
    "voice_recognition"
];
declare type RecorderAudioSource = typeof recorderAudioSources[number];
export interface RecorderStartOptions {
    /**
     * 录音时长 (ms)，最大值为 600000（10 分钟）
     */
    duration?: number;
    /**
     * 录音采样率 (Hz)
     */
    sampleRate?: RecorderSampleRate;
    /**
     * 录音通道数
     */
    numberOfChannels?: 1 | 2;
    /**
     * 编码码率 (bps)
     */
    encodeBitRate?: number;
    /**
     * 录音格式
     */
    format?: RecorderFormat;
    /**
     * 指定帧大小 (KB)
     */
    frameSize?: number;
    /**
     * 录音的音频输入源
     */
    audioSource?: RecorderAudioSource;
}
export {};
