import { RecorderManager } from "./RecorderManager/RecorderManager";
export declare class RecorderAPI {
    /**
     * 获取全局唯一的录音管理器对象。
     * @returns 录音管理器对象
     * @alpha
     *
     * @example
     * ```javascript
     * const recorderManager = ks.getRecorderManager();
     *
     * recorderManager.start({
     *     duration: 1000,
     *     sampleRate: 12000,
     *     numberOfChannels: 1,
     *     encodeBitRate: 25000,
     *     frameSize: 100,
     * });
     *
     * ```
     *
     */
    getRecorderManager(): RecorderManager;
}
