import { ChooseVideoResult } from "./ChooseVideoResult";
declare const chooseVideoSourceTypes: readonly [
    "album",
    "camera"
];
declare type ChooseVideoSourceType = typeof chooseVideoSourceTypes[number];
declare const chooseVideoCameras: readonly [
    "back",
    "front"
];
/**
 * @value 'back' 后置摄像头
 * @value 'front' 前置摄像头
 */
declare type ChooseVideoCamera = typeof chooseVideoCameras[number];
declare type ChooseVideoCallbackOptions = import("../../common").CallbackOptions<ChooseVideoResult, import("../../common").APIError>;
export interface ChooseVideoOptions extends ChooseVideoCallbackOptions {
    /**
     * 选择视频的来源
     * @defaultValue ['album', 'camera']
     * @value 'album' 相册
     * @value 'camera' 相机
     */
    sourceType?: ChooseVideoSourceType[];
    /**
     * 是否压缩视频
     */
    compressed?: boolean;
    /**
     * 视频最长拍摄时间 (s)
     */
    maxDuration?: number;
    /**
     * 拍摄使用的摄像头(部分 Android 手机下由于系统 ROM 不支持无法生效)
     */
    camera?: ChooseVideoCamera;
}
export {};
