export interface MediaTempFileInfo {
    /**
     * 本地临时文件路径 (本地路径)
     */
    tempFilePath: string;
    /**
     * 本地临时文件大小，单位 B
     */
    size: number;
    /**
     * 文件类型
     */
    mediaType: string;
    /**
     * 视频的时间长度（文件类型是视频时才返回）
     */
    duration?: number;
    /**
     * 视频的宽度（文件类型是视频时才返回，视频太短无法返回）
     */
    width?: number;
    /**
     * 视频的高度（文件类型是视频时才返回，视频太短无法返回）
     */
    height?: number;
}
