import type { PreloadVideoResult } from "./PreloadVideoResult";
import type { APIError } from "../../common";
declare const videoReferrer: readonly [
    "origin",
    "no-referrer"
];
/**
 * @value 'origin' 发送完整的referrer
 * @value 'no-referrer' 不发送
 * @version {"kma":"1.95.0"}
 */
declare type VideoReferrer = typeof videoReferrer[number];
export interface PreloadVideoOptions {
    /**
     * 视频资源地址
     */
    src: string;
    /**
     * 预加载大小，单位 Byte，取值范围 0 ～ 1024*1024
     */
    size: number;
    /**
     * 格式固定为 `https://miniapi.ksapisrv.com/{appid}/{version}/page-frame.html`，其中 {appid} 为小程序的 appid，{version} 为小程序的版本号，版本号为 0 表示为开发版、体验版以及审核版本，版本号为 devtools 表示为开发者工具，其余为正式版本
     * @version {"kma":"1.95.0"}
     */
    referrerPolicy?: VideoReferrer;
    success?: (result: PreloadVideoResult) => void;
    fail?: (error: APIError) => void;
    complete?: (result: PreloadVideoResult | APIError) => void;
}
export {};
