import { DownloadFileResponse } from "./DownloadFileResponse";
declare type DownloadFileCallbackOptions = import("../../common").CallbackOptions<DownloadFileResponse, import("../../common").APIError>;
export interface DownloadFileOptions extends DownloadFileCallbackOptions {
    /**
     * 下载资源的 url
     */
    url: string;
    /**
     * 指定文件下载后存储的路径 (本地路径)
     */
    filePath?: string;
    /**
     * 超时时间，单位为毫秒
     */
    timeout?: number;
    /**
     * HTTP 请求的 Header，Header 中不能设置 Referer
     */
    header?: Record<string, string> & {
        Referer: never;
    };
}
export {};
