import { RequestTask } from "../../request/RequestTask/RequestTask";
import { DownloadProgressUpdateEvent } from "./DownloadProgressUpdateEvent";
/**
 * 一个可以监听下载进度变化事件，以及取消下载任务的对象。
 */
export interface DownloadTask extends RequestTask<'Download'> {
    /**
     * 监听下载进度变化事件。
     * @param callback 下载进度变化事件的回调函数
     */
    onProgressUpdate(callback: (event: DownloadProgressUpdateEvent) => void): void;
    /**
     * 取消监听下载进度变化事件。不传入 `callback` 则取消所有监听。
     * @param callback 下载进度变化事件的回调函数
     */
    offProgressUpdate(callback?: (event: DownloadProgressUpdateEvent) => void): void;
}
