import { Profile } from "./RequestTask/Profile";
export interface RequestResponse {
    /**
     * 开发者服务器返回的数据
     */
    data?: string | unknown[] | Record<string, unknown> | ArrayBuffer;
    /**
     * 开发者服务器返回的 HTTP 状态码
     */
    statusCode: number;
    /**
     * 开发者服务器返回的 HTTP Response Header
     */
    header: Record<string, unknown>;
    /**
     * 开发者服务器返回的 cookies，格式为字符串数组
     */
    cookies: string[];
    /**
     * 数据是否为预拉取
     */
    isPrefetch?: boolean;
    /**
     * 预拉取信息
     */
    prefetchInfo?: {
        message: string;
    };
    /**
     * 网络调试信息profile
     */
    profile?: Profile;
}
