import { HeadersReceivedEvent } from "./HeadersReceivedEvent";
declare type NetworkTaskType = 'Download' | 'Upload' | 'Request';
/**
 * 请求任务对象。
 */
export interface RequestTask<T extends NetworkTaskType = 'Request'> {
    /**
     * 中断请求任务。
     */
    abort(): void;
    /**
     * 监听 HTTP Response Header 事件。会比请求完成事件更早。
     * @param callback HTTP Response Header 事件的回调函数
     */
    onHeadersReceived(callback: (event: HeadersReceivedEvent) => void): void;
    /**
     * 取消监听 HTTP Response Header 事件。不传入 `callback` 则取消所有监听。
     * @param callback HTTP Response Header 事件的回调函数
     */
    offHeadersReceived(callback?: (event: HeadersReceivedEvent) => void): void;
}
export {};
