import { RequestTask } from "./RequestTask";
import { RequestOptions } from "./RequestOptions";
export declare class RequestAPI {
    /**
     * 发起 HTTPS 网络请求。使用前请注意阅读相关说明。
     * @version {"kma":"1.1.0","ide":"1.22.0"}
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.request({
     *     url: 'test.php',
     *     data: {
     *         x: '',
     *         y: '',
     *     },
     *     header: {
     *         'content-type': 'application/json', // 默认值
     *     },
     *     success(res) {
     *         if (res.statusCode === 200) {
     *             // do something
     *         }
     *     },
     * });
     *
     * ```
     *
     */
    request(options: RequestOptions): RequestTask;
}
