import { UploadFileResponse } from "./UploadFileResponse";
declare type UploadFileCallbackOptions = import("../../common").CallbackOptions<UploadFileResponse, import("../../common").APIError>;
export interface UploadFileOptions extends UploadFileCallbackOptions {
    /**
     * 开发者服务器地址
     */
    url: string;
    /**
     * 要上传文件资源的路径 (本地路径)
     */
    filePath: string;
    /**
     * 文件对应的 key，开发者在服务端可以通过这个 key 获取文件的二进制内容
     */
    name: string;
    /**
     * 超时时间，单位为毫秒
     */
    timeout?: number;
    /**
     * HTTP 请求中其他额外的 form data
     */
    formData?: Record<string, string>;
    /**
     * HTTP 请求 Header，Header 中不能设置 Referer，content-type
     */
    header?: Record<string, string> & {
        Referer: never;
    };
}
export {};
