import { RequestTask } from "../../request/RequestTask/RequestTask";
import { UploadProgressUpdateEvent } from "./UploadProgressUpdateEvent";
/**
 * 一个可以监听上传进度变化事件，以及取消上传任务的对象。
 */
export interface UploadTask extends RequestTask<'Upload'> {
    /**
     * 监听上传进度变化事件。
     * @param callback 上传进度变化事件的回调函数
     */
    onProgressUpdate(callback: (event: UploadProgressUpdateEvent) => void): void;
    /**
     * 取消监听上传进度变化事件。不传入 `callback` 则取消所有监听。
     * @param callback 上传进度变化事件的回调函数
     */
    offProgressUpdate(callback?: (event: UploadProgressUpdateEvent) => void): void;
}
