import { UploadFileOptions } from "./UploadFileOptions";
import { UploadTask } from "./UploadTask";
export declare class UploadAPI {
    /**
     * 将本地资源上传到服务器，客户端发起一个 HTTPS POST 请求。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.chooseImage({
     *     sizeType: 'compressed',
     *     sourceType: 'album',
     *     success(res) {
     *         const tempFilePaths = res.tempFilePaths;
     *         ks.uploadFile({
     *             url: 'https://example.com/upload',
     *             filePath: tempFilePaths[0],
     *             name: 'file',
     *             formData: {
     *                 user: 'test',
     *             },
     *             success(res) {
     *                 const data = res.data;
     *                 // do something
     *             },
     *         });
     *     },
     * });
     *
     * ```
     *
     */
    uploadFile(options: UploadFileOptions): UploadTask;
}
