declare type ConnectSocketCallbackOptions = import("../../common").CallbackOptions<void, import("../../common").APIError>;
export interface ConnectSocketOptions extends ConnectSocketCallbackOptions {
    /**
     * 开发者服务器 wss 接口地址
     */
    url: string;
    /**
     * HTTP Header，Header 中不能设置 Referer
     */
    header?: Record<string, string> & {
        Referer: never;
    };
    /**
     * 子协议数组
     */
    protocols?: string[];
    /**
     * 超时时间，单位为毫秒
     */
    timeout?: number;
}
export {};
