declare const miniProgramEnvVersions: readonly [
    "develop",
    "trial",
    "release"
];
/**
 * @value 'develop' 开发版
 * @value 'trial' 体验版
 * @value 'release' 正式版
 */
declare type MiniProgramEnvVersion = typeof miniProgramEnvVersions[number];
export interface MiniProgramInfo {
    /**
     * 小程序 appId
     */
    appId: string;
    /**
     * 小程序版本
     */
    envVersion: MiniProgramEnvVersion;
    /**
     * 线上小程序版本号（仅在正式版小程序上支持）
     */
    version: string;
}
export {};
