declare const authorizationScopes: readonly [
    "scope.userInfo",
    "scope.userLocation",
    "scope.userLocationBackground",
    "scope.record",
    "scope.writePhotosAlbum",
    "scope.camera"
];
/**
 * @value 'scope.userInfo' 用户信息权限
 * @value 'scope.userLocation' 地理位置权限
 * @value 'scope.userLocationBackground' 后台定位权限
 * @value 'scope.record' 录音权限
 * @value 'scope.writePhotosAlbum' 保存到相册权限
 * @value 'scope.camera' 相机权限
 */
declare type AuthorizationScope = typeof authorizationScopes[number];
declare type AuthorizeCallbackOptions = import("../../common").CallbackOptions<void, import("../../common").APIError>;
export interface AuthorizeOptions extends AuthorizeCallbackOptions {
    /**
     * 需要获取的权限
     */
    scope: AuthorizationScope;
}
export {};
