import { AuthorizeOptions } from "./AuthorizeOptions";
export declare class AuthorizeAPI {
    /**
     * 向用户发起授权请求。调用后会立刻弹窗询问用户是否同意授权小程序使用某项功能或获取用户的某些数据。如果用户之前已经同意授权，则不会出现弹窗，直接返回成功。
     * @version {"kma":"1.26.1","ide":"1.22.0"}
     * @param options
     * @returns
     * @errinfo [{"errMsg":"Invalid app","errDesc":"应用不存在"},{"errMsg":"beyond token/app/authorized scope","errDesc":"请求被拒绝，可能是无效token或应用/用户不允许访问该接口"},{"errMsg":"not exist user","errDesc":"用户信息不存在"},{"errMsg":"invalid scope","errDesc":"请求授权的scope错误"}]
     *
     */
    authorize(options: AuthorizeOptions): Promise<void>;
}
