import type { Mixins } from "../common";
import { AccountInfoAPI } from "./account-info";
import { AuthorizeAPI } from "./authorize";
import { LoginAPI } from "./login";
import { RoomInfoAPI } from "./room-info";
import { MiniProgramNavigateAPI } from "./mini-program-navigate";
import { PaymentAPI } from "./payment";
import { SettingAPI } from "./setting";
import { SubscribeMessageAPI } from "./subscribe-message";
import { UserInfoAPI } from "./user-info";
import { JumpToVideoAPI } from "./jumpToVideo";
declare const OpenAPIs: readonly [
    typeof AccountInfoAPI,
    typeof AuthorizeAPI,
    typeof LoginAPI,
    typeof RoomInfoAPI,
    typeof MiniProgramNavigateAPI,
    typeof PaymentAPI,
    typeof SettingAPI,
    typeof SubscribeMessageAPI,
    typeof UserInfoAPI,
    typeof JumpToVideoAPI
];
export declare class OpenAPI {
    /**
     *
     * @param name
     * @param data
     * @alpha
     *
     * @example
     * ```javascript
     * ks.reportAnalytics('purchase', {
     *     price: 120,
     *     color: 'red',
     * });
     *
     * ```
     *
     */
    reportAnalytics(name: string, data: Record<string, unknown>): void;
}
export interface OpenAPI extends Mixins<typeof OpenAPIs> {
}
export {};
