declare const miniProgramEnvVersions: readonly [
    "develop",
    "trial",
    "release"
];
/**
 * @value 'develop' 开发版
 * @value 'trial' 体验版
 * @value 'release' 正式版
 */
declare type MiniProgramEnvVersion = typeof miniProgramEnvVersions[number];
declare type NavigateToMiniProgramCallbackOptions = import("../../common").CallbackOptions<void, import("../../common").APIError>;
export interface NavigateToMiniProgramOptions extends NavigateToMiniProgramCallbackOptions {
    /**
     * 要打开的小程序 `appId`
     */
    appId: string;
    /**
     * 要打开的页面路径（默认打开首页）
     */
    path?: string;
    /**
     * 要打开的小程序版本（仅在当前小程序为开发版或体验版时生效，目前仅支持设置为 release）
     */
    envVersion?: MiniProgramEnvVersion;
    /**
     * 要传递给另一个小程序的数据
     */
    extraData?: Record<string, unknown>;
}
export {};
