import { NavigateToMiniProgramOptions } from "./NavigateToMiniProgramOptions";
import { NavigateBackMiniProgramOptions } from "./NavigateBackMiniProgramOptions";
export declare class MiniProgramNavigateAPI {
    /**
     * 打开另一个小程序。
     * @version {"kma":"1.26.1","ide":"1.22.0"}
     * @errinfo [{"errMsg":"appId is nil / invalid appid","errDesc":"appId 为空/错误"}]
     *
     * @param options
     * @returns
     *
     *
     * @example
     * ```javascript
     * ks.navigateToMiniProgram({
     *     appId: 'appiId',
     *     path: 'page/index/index?id=123',
     *     success(res) {
     *         // 打开成功
     *     },
     * });
     *
     * ```
     *
     */
    navigateToMiniProgram(options: NavigateToMiniProgramOptions): Promise<void>;
    /**
     * 返回到上一个小程序。（仅在当前小程序是被其他小程序打开时生效）
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.navigateBackMiniProgram({
     *     extraData: {
     *         foo: 'bar',
     *     },
     *     success(res) {
     *         // 返回成功
     *     },
     * });
     *
     * ```
     *
     */
    navigateBackMiniProgram(options?: NavigateBackMiniProgramOptions): Promise<void>;
}
