import { PaymentChannel } from "./PaymentChannel";
import { PaymentOrderInfo } from "./PaymentOrderInfo";
declare type PayCallbackOptions = import("../../common").CallbackOptions<void, import("../../common").APIError>;
export interface PayOptions extends PayCallbackOptions {
    /**
     * 服务类型 id（固定值为 `'1'`）
     */
    serviceId: string;
    /**
     * 订单数据
     */
    orderInfo: PaymentOrderInfo;
    /**
     * 支付渠道信息（来自 [payment-list](/develop/components/open/payment-list.html)组件）
     * @version {"kma":"1.35.0"}
     */
    paymentChannel?: PaymentChannel;
    /**
     * 支付类型（仅[IAP(苹果支付)](/develop/server/iosEpayAbility/iosEpayGuide.html)场景下传递）
     */
    payType?: 'IAPPurchase';
}
export {};
