export interface WxOrderInfo {
    /**
     * 小程序 `app_id`
     */
    app_id: string;
    /**
     * 商户生成签名的算法类型（固定值为 `'MD5'`）
     */
    sign_type: 'MD5';
    /**
     * 发送请求的时间（Unix 时间戳）
     */
    timestamp: number;
    /**
     * 版本（固定值为 `'1.0'`）
     */
    version: '1.0';
    /**
     * 交易类型（固定值为 `'H5'`）
     */
    trade_type: 'H5';
    /**
     * 签名，详见 [服务端签名](/develop/server/payment/serverSignature)
     */
    sign: string;
    /**
     * 产品代码（固定值为 `'pay'`）
     */
    product_code: 'pay';
    /**
     * 商户订单号
     */
    out_order_no: string;
    /**
     * 金额（分）
     */
    total_amount: number;
    /**
     * 币种（固定值为 `'CNY'`）
     */
    currency: 'CNY';
    /**
     * 商户订单名称
     */
    subject: string;
    /**
     * 商户订单详情
     */
    body: string;
    /**
     * 下单时间（Unix 时间戳）
     */
    trade_time: number;
    /**
     * 订单有效时间 (s)
     */
    valid_time: number;
    /**
     * 调用微信 H5 支付统一下单接口返回的 `mweb_url` 字段值
     */
    wx_url: string;
    /**
     * 微信支付类型（固定值 `'MWEB'`）
     */
    wx_type: 'MWEB';
    /**
     * 支付风控参数。序列化后的 JSON 结构字符串，JSON 结构如下：{ip: '用户外网 IP'}
     */
    risk_info: string;
}
