import { PayOptions } from "./PayOptions";
import { RequestKwaiPaymentOptions } from "./RequestKwaiPaymentOptions";
import { RequestWxPaymentOptions } from "./RequestWxPaymentOptions";
export declare class PaymentAPI {
    /**
     * 发起担保支付。详见 [担保支付接入指南](https://open.kuaishou.com/docs/develop/server/epay/access)。
     * @version {"kma":"1.26.1","ide":"1.22.0__MOCK"}
     * @param options
     * @returns
     * @errinfo [{"errMsg":"系统检测到当前用户触发每日消费限制，暂不提供充值打赏功能","errDesc":"—"},{"errMsg":"系统检测到疑似未成年，暂不提供充值打赏功能","errDesc":"—"},{"errMsg":"没有支付权限","errDesc":"—"}]
     *
     */
    pay(originOptions: PayOptions): Promise<void>;
    /**
     * 发起 H5 支付。
     * @version {"kma":"1.26.1","ide":"1.22.0__MOCK"}
     * @param options
     * @param options
     * @returns
     * @deprecated 请使用 [ks.pay](https://open.kuaishou.com/docs/develop/api-next/open/payment/ks.pay) 代替
     */
    requestPayment(options: RequestKwaiPaymentOptions | RequestWxPaymentOptions): Promise<void>;
}
