import { GetSettingOptions } from "./GetSettingOptions";
import { OpenSettingOptions } from "./OpenSettingOptions";
import { SettingResult } from "./SettingResult";
export declare class SettingAPI {
    /**
     * 获取用户当前设置。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * const { authSetting } = await ks.getSetting();
     * if (authSetting['scope.userInfo']) {
     *     // 授权用户信息
     * }
     *
     * ```
     *
     */
    getSetting(options?: GetSettingOptions): Promise<SettingResult>;
    /**
     * 调起客户端小程序设置界面，获取用户设置的操作结果。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * const { authSetting } = await ks.openSetting();
     *
     * ```
     *
     */
    openSetting(options?: OpenSettingOptions): Promise<SettingResult>;
}
