import { UserInfoResult } from "./UserInfoResult";
export interface AuthorizedUserInfoResult extends UserInfoResult {
    /**
     * 不包括敏感数据的原始数据字符串，用于计算签名
     */
    rawData: string;
    /**
     * 使用 sha1(rawData + session_key) 得到的字符串，用于校验用户信息数据合法性
     */
    signature: string;
    /**
     * 包括敏感数据在内的完整用户信息的加密数据。详见 [用户数据的签名验证和加解密](/develop/server/userInfo/userEncryptedData)
     */
    encryptedData: string;
    /**
     * 加密算法的初始向量。详见 [用户数据的签名验证和加解密](/develop/server/userInfo/userEncryptedData)
     */
    iv: string;
}
