import { AuthorizedUserInfoResult } from "./AuthorizedUserInfoResult";
import { UserInfoResult } from "./UserInfoResult";
declare type GetUserInfoCallbackOptions = import("../../common").CallbackOptions<UserInfoResult | AuthorizedUserInfoResult, import("../../common").APIError>;
export interface GetUserInfoOptions extends GetUserInfoCallbackOptions {
    /**
     * 是否带上登录态信息。
     *
     * 当 `withCredentials` 为 `true` 时，要求用户登录态有效，此时返回的用户信息会包含 `encryptedData`, `iv` 等敏感信息。
     *
     * 当 `withCredentials` 为 `false` 时，返回的用户信息不包含敏感信息。
     */
    withCredentials?: boolean;
}
export {};
