import { HideShareMenuOptions } from "./HideShareMenuOptions";
import { ShowShareMenuOptions } from "./ShowShareMenuOptions";
export declare class ShareAPI {
    /**
     * 显示当前页面的转发按钮。
     * @version {"kma":"1.26.1","ide":"1.22.0"}
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * await ks.showShareMenu();
     *
     * ```
     *
     */
    showShareMenu(options?: ShowShareMenuOptions): Promise<void>;
    /**
     * 隐藏当前页面的转发按钮。
     * @version {"kma":"1.26.1","ide":"1.22.0"}
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * await ks.hideShareMenu();
     *
     * ```
     *
     */
    hideShareMenu(options?: HideShareMenuOptions): Promise<void>;
}
