import { timingFunctions } from "./const";
/**
 * @value 'linear'      动画从头到尾的速度是相同的
 * @value 'ease'        动画以低速开始，然后加快，在结束前变慢
 * @value 'ease-in'     动画以低速开始
 * @value 'ease-in-out' 动画以低速开始和结束
 * @value 'ease-out'    动画以低速结束
 * @value 'step-start'  动画第一帧就跳至结束状态直到结束
 * @value 'step-end'    动画一直保持开始状态，最后一帧跳到结束状态
 */
declare type TimingFunction = typeof timingFunctions[number];
export interface AnimationOptions {
    /**
     * 动画持续时间 (ms)
     */
    duration?: number;
    /**
     * 动画的效果
     */
    timingFunction?: TimingFunction;
    /**
     * 动画延迟时间 (ms)
     */
    delay?: number;
    transformOrigin?: string;
}
export {};
