import { SetBackgroundColorOptions } from "./SetBackgroundColorOptions";
import { SetBackgroundTextStyleOptions } from "./SetBackgroundTextStyleOptions";
export declare class BackgroundAPI {
    /**
     * 动态设置窗口的背景色。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.setBackgroundColor({
     *     backgroundColor: '#ffffff', // 窗口的背景色为白色
     * });
     *
     * // 或者
     * ks.setBackgroundColor({
     *     backgroundColorTop: '#ffffff',
     *     backgroundColorBottom: '#ffffff',
     * });
     *
     * ```
     *
     */
    setBackgroundColor(options: SetBackgroundColorOptions): Promise<void>;
    /**
     * 动态设置下拉背景字体、loading 图的样式。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.setBackgroundTextStyle({
     *     textStyle: 'dark',
     * });
     *
     * ```
     *
     */
    setBackgroundTextStyle(options: SetBackgroundTextStyleOptions): Promise<void>;
}
