import { ShowModalResult } from "./ShowModalResult";
declare type ShowModalCallbackOptions = import("../../common").CallbackOptions<ShowModalResult, import("../../common").APIError>;
export interface ShowModalOptions extends ShowModalCallbackOptions {
    /**
     * 提示的标题
     */
    title?: string;
    /**
     * 提示的内容
     */
    content?: string;
    /**
     * 是否显示取消按钮
     */
    showCancel?: boolean;
    /**
     * 取消按钮的文字，最多 4 个字符
     */
    cancelText?: string;
    /**
     * 取消按钮的文字颜色，必须是 16 进制格式的颜色字符串
     */
    cancelColor?: string;
    /**
     *  确认按钮的文字，最多 4 个字符
     */
    confirmText?: string;
    /**
     * 确认按钮的文字颜色，必须是 16 进制格式的颜色字符串
     */
    confirmColor?: string;
    /**
     * 显示输入框时的提示文本
     */
    placeholderText?: string;
    /**
     * 是否显示输入框
     */
    editable: boolean;
}
export {};
