declare const showToastIcons: readonly [
    "success",
    "loading",
    "none"
];
/**
 * @value 'success' 显示成功图标，此时 title 文本最多显示 7 个汉字长度
 * @value 'loading' 显示加载图标，此时 title 文本最多显示 7 个汉字长度
 * @value 'none' 不显示图标，此时 title 文本最多可显示两行，1.9.0 及以上版本支持
 */
declare type ShowToastIcon = typeof showToastIcons[number];
declare type ShowToastCallbackOptions = import("../../common").CallbackOptions<void, import("../../common").APIError>;
export interface ShowToastOptions extends ShowToastCallbackOptions {
    /**
     * 提示的内容
     */
    title: string;
    /**
     * 图标
     */
    icon?: ShowToastIcon;
    /**
     * 自定义图标的本地路径，image 的优先级高于 icon
     */
    image?: string;
    /**
     * 提示的延迟时间
     */
    duration?: number;
    /**
     * 是否显示透明蒙层，防止触摸穿透
     */
    mask?: boolean;
}
export {};
