import { StartPullDownRefreshOptions } from "./StartPullDownRefreshOptions";
import { StopPullDownRefreshOptions } from "./StopPullDownRefreshOptions";
export declare class PullDownRefreshAPI {
    /**
     * 开始下拉刷新。调用后触发下拉刷新动画，效果与用户手动下拉刷新一致。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.startPullDownRefresh();
     *
     * ```
     *
     */
    startPullDownRefresh(options?: StartPullDownRefreshOptions): Promise<void>;
    /**
     * 停止当前页面下拉刷新。
     * @param options
     * @returns
     *
     * @example
     * ```javascript
     * ks.stopPullDownRefresh();
     *
     * ```
     *
     */
    stopPullDownRefresh(options?: StopPullDownRefreshOptions): Promise<void>;
}
