import { WindowResizeEvent } from "./WindowResizeEvent";
export declare class WindowAPI {
    /**
     * 监听窗口尺寸变化事件。
     * @param callback 窗口尺寸变化事件的回调函数
     *
     * @example
     * ```javascript
     * ks.onWindowResize((event) => {
     *     const { windowHeight, windowWidth } = event.size;
     * });
     *
     * ```
     *
     */
    onWindowResize(callback: (event: WindowResizeEvent) => void): void;
    /**
     * 取消监听窗口尺寸变化事件。不传入 `callback` 则取消所有监听。
     * @param callback 窗口尺寸变化事件的回调函数
     *
     * @example
     * ```javascript
     * ks.offWindowResize();
     *
     * ```
     *
     */
    offWindowResize(callback?: (event: WindowResizeEvent) => void): void;
}
