import type { CustomEvent } from "../../constructors/events";
import { BaseProps } from "../props";
declare const themes: readonly [
    "white",
    "black"
];
/**
 * @value 'white' 默认白色模式
 * @value 'black' 深色模式
 * @version {"kma":"1.96.0"}
 */
declare type AdThemes = typeof themes[number];
/**
 * 广告组件
 * 支持feed流和banner形式广告类型（[完整流量主能力及接入方式](/develop/functionAccessGuide/ad/adApplication.html#feed流广告组件))
 * @version {"kma":"1.26.1","ide":"1.22.0__MOCK"}
 */
export declare interface AdProps extends BaseProps {
    /**
     * 广告类型
     */
    type: number;
    /**
     * 广告单元 id
     */
    unitId: number;
    /**
     * 广告主题色
     */
    adTheme?: AdThemes;
    /**
     * 广告加载成功的回调
     */
    onLoad?: (event: CustomEvent<Record<string, unknown>>) => void;
    /**
     * 广告加载失败的回调
     */
    onError?: (event: CustomEvent<{
        errCode: number;
    }>) => void;
    /**
     * 广告关闭的回调
     */
    onClose?: (event: CustomEvent<Record<string, unknown>>) => void;
}
export {};
