import { BaseProps } from "../props";
declare const styles: readonly [
    "filled",
    "linear"
];
declare type CheckboxStyles = typeof styles[number];
declare const shapes: readonly [
    "square",
    "circle"
];
declare type CheckboxShape = typeof shapes[number];
/**
 * 多选项目。
 *
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 *
 */
export declare interface CheckboxProps extends BaseProps {
    /**
     * [checkbox](./checkbox) 标识，选中时触发 [checkbox-group](./checkbox-group) 的 change 事件，并携带 [checkbox](./checkbox) 的 value
     */
    value?: string;
    /**
     * 是否禁用
     */
    disabled?: boolean;
    /**
     * 当前是否选中，可用来设置默认选中
     */
    checked?: string | boolean;
    /**
     * checkbox 的颜色，同 css 的 color
     */
    color?: string;
    /**
     * checkbox 的样式，默认为linear
     */
    checkboxStyle?: CheckboxStyles;
    /**
     * checkbox 的形状，默认为square
     */
    shape?: CheckboxShape;
}
export {};
