import type { CustomEvent } from "../../constructors/events";
/**
 * 多项选择器，内部由多个 [checkbox](./checkbox) 组成。
 * @version {"kma":"1.26.1","ide":"1.22.0"}
 */
export declare interface CheckboxGroupProps {
    /**
     * 在表单中的字段名
     */
    name?: string;
    /**
     * [checkbox-group](./checkbox-group) 中选中项发生改变时触发 change 事件，`detail = {value:[选中的checkbox的value的数组]}`
     */
    onChange?: (event: CustomEvent<{
        value: any[];
    }>) => void;
}
