import type { CustomEvent } from "../../constructors/events";
/**
 * 覆盖在原生组件之上的图片视图。
 * 目前原生组件均已支持同层渲染，建议使用 image 替代。可覆盖的原生组件同 [cover-view](./cover-view) ，支持嵌套在 [cover-view](./cover-view) 里。
 * @version {"kma":"1.2.0","ide":"1.22.0"}
 *
 */
export declare interface CoverImageProps {
    /**
     * 图标路径，支持临时路径、网络地址
     */
    src?: string;
    /**
     * 图片加载成功时触发
     * @alpha
     */
    onLoad?: (event: CustomEvent<Record<string, unknown>>) => void;
    /**
     * 图片加载失败时触发
     * @alpha
     */
    onError?: (event: CustomEvent<Record<string, unknown>>) => void;
}
