import type { CustomEvent } from "../../constructors/events";
import { BaseProps } from "../props";
/**
 * 表单。将组件内的用户输入的 [switch](./switch) [input](./input) [checkbox](./checkbox) [slider](./slider) [radio](./radio) [picker](./picker) 提交。
 * 当点击 [form](./form) 表单中 form-type 为 submit 的 [button](./button) 组件时，会将表单组件中的 value 值进行提交，需要在表单组件中加上 name 来作为 key。
 * @version {"kma":"1.26.1","ide":"1.22.0"}
 *
 */
export declare interface FormProps extends BaseProps {
    /**
     * 携带 form 中的数据触发 submit 事件，event.detail = { value : {'name': 'value'} }
     */
    onSubmit?: (event: CustomEvent<{
        value: Record<string, unknown>;
    }>) => void;
    /**
     * 表单重置时会触发 reset 事件
     */
    onReset?: (event: CustomEvent<Record<string, unknown>>) => void;
}
