declare const iconType: readonly [
    "success",
    "success_no_circle",
    "info",
    "warn",
    "waiting",
    "cancel",
    "download",
    "search",
    "clear",
    "loading"
];
/**
 * 图标。组件属性的长度单位默认为px，支持rpx/px
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 */
export declare interface IconProps {
    /**
     * icon 的类型
     */
    type?: typeof iconType[number];
    /**
     * icon 的大小
     */
    size?: string | number;
    /**
     * icon 的颜色，同 css 的 color
     */
    color?: string;
    /**
     * 是否执行动画，仅在 type 为 loading 时生效
     */
    anim: boolean;
}
export {};
