/**
 * object 类型，属性如下：
 *
 *
*/
declare interface Circle {
    /**
     * 纬度
     */
    latitude: number;
    /**
     * 经度
     */
    longitude: number;
    /**
     * 边框颜色
     */
    color?: string;
    /**
     * 填充颜色
     */
    fillColor?: string;
    /**
     * 半径，单位“米“
     */
    radius?: number;
    /**
     * 边框宽度
     */
    strokeWidth?: number;
}
/**
 * object 类型，属性如下：
 *
*/
declare interface Marker {
    /**
     * 标记点id
     */
    id?: number;
    /**
     * 纬度
     */
    latitude: number;
    /**
     * 经度
     */
    longitude: number;
    /**
     * 标注点名，点击时显示；不传或者传空字符串，则点击无反应
     */
    title?: string;
    /**
     * 图片路径
     */
    iconPath?: string;
    /**
     * 默认展开title
     * @version {"kma":"1.41.0"}
     */
    defaultShowTitle?: boolean;
}
/**
 * 地图组件。相关 api：[ks.createMapContext](https://open.kuaishou.com/docs/develop/api-next/map/ks.createMapContext.html)
 *
 * @version {"kma":"1.27.0","ide":"1.22.0__MOCK"}
 */
export declare interface MapProps {
    /**
     * 中心经度
     */
    longitude: number | string;
    /**
     * 中心纬度
     */
    latitude: number | string;
    /**
     * 缩放级别，取值范围为 3-19
     */
    scale?: number;
    /**
     * 标记点
     */
    markers?: Marker[];
    /**
     * 圆
     */
    circles?: Circle[];
    /**
     * 是否显示当前位置
     */
    showLocation?: boolean;
}
export {};
