import type { CustomEvent } from "../../constructors/events";
/**
 * 嵌入页面的滚动选择器。其中只可放置 [picker-view-column](./picker-view-column) 组件，其它节点不会显示。
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 *
 */
export declare interface PickerViewProps {
    /**
     * 在表单中的字段名
     */
    name?: string;
    /**
     * 数组中的数字依次表示 picker-view 内的 picker-view-column 选择的第几项（下标从 0 开始），数字大于 picker-view-column 可选项长度时，选择最后一项。
     */
    value?: number[];
    /**
     * 设置选择器中间选中框的样式
     */
    indicatorStyle?: string;
    /**
     * 设置选择器中间选中框的类名
     */
    indicatorClass?: string;
    /**
     * 设置蒙层的样式
     */
    maskStyle?: string;
    /**
     * 设置蒙层的类名
     */
    maskClass?: string;
    /**
     * 滚动选择时触发 change 事件，event.detail = {value}；value 为数组，表示 picker-view 内的 picker-view-column 当前选择的是第几项（下标从 0 开始）
     */
    onChange?: (event: CustomEvent<{
        value: number[];
    }>) => void;
    /**
     * 当滚动选择开始时候触发事件
     */
    onPickStart?: (event: CustomEvent<Record<string, unknown>>) => void;
    /**
     * 当滚动选择结束时候触发事件
     */
    onPickEnd?: (event: CustomEvent<Record<string, unknown>>) => void;
}
