import type { CustomEvent } from "../../constructors/events";
import { BaseProps } from "../props";
/**
 * 进度条。组件属性的长度单位 rpx/px（默认为 px）
 *
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 *
 */
export declare interface ProgressProps extends BaseProps {
    /**
     * 百分比 0~100
     */
    percent?: number;
    /**
     * 在进度条右侧显示百分比
     */
    showInfo?: boolean;
    /**
     * 圆角大小
     */
    borderRadius?: number | string;
    /**
     * 右侧百分比字体大小
     */
    fontSize?: number | string;
    /**
     * 进度条线的宽度
     */
    strokeWidth?: number | string;
    /**
     * 进度条颜色（请使用 activeColor）
     */
    color?: string;
    /**
     * 已选择的进度条的颜色
     */
    activeColor?: string;
    /**
     * 未选择的进度条的颜色
     */
    backgroundColor?: string;
    /**
     * 进度条从左往右的动画
     */
    active?: boolean;
    /**
     * backwards: 动画从头播; forwards: 动画从上次结束点接着播
     */
    activeMode?: 'backwards' | 'forwards';
    /**
     * 进度增加 1% 所需毫秒
     */
    duration?: number;
    /**
     * 动画完成事件
     * @alpha
     */
    onActiveEnd?: (event: CustomEvent<Record<string, unknown>>) => void;
}
