import { BaseProps } from "../props";
declare const styles: readonly [
    "filled",
    "linear"
];
declare type RadioStyles = typeof styles[number];
/**
 * 单选项目。
 *
 * @version {"kma":"1.26.1","ide":"1.22.0"}
 *
 */
export declare interface RadioProps extends BaseProps {
    /**
     * 在表单中的字段名
     */
    name?: string;
    /**
     * radio 标识。当该 radio 选中时，radio-group 的 change 事件会携带 radio 的 value
     */
    value?: string;
    /**
     * 当前是否选中
     */
    checked?: boolean;
    /**
     * 是否禁用
     */
    disabled?: boolean;
    /**
     * radio 的颜色，同 css 的 color
     */
    color?: string;
    /**
     * radio 样式
     */
    radioStyle?: RadioStyles;
}
export {};
