import type { CustomEvent } from "../../constructors/events";
/**
 * 单项选择器，内部由多个 [radio](./radio) 组成。
 * @version {"kma":"1.26.1","ide":"1.22.0"}
 */
export declare interface RadioGroupProps {
    /**
     * 在表单中的字段名
     */
    name?: string;
    /**
     * radio-group 中选中项发生改变时触发 change 事件，detail = {value:[选中的 radio 的 value 的数组]}
     */
    onChange?: (event: CustomEvent<{
        value: string[];
    }>) => void;
}
