declare const supportTagList: readonly [
    "a",
    "abbr",
    "address",
    "article",
    "aside",
    "b",
    "bdi",
    "bdo",
    "big",
    "blockquote",
    "br",
    "caption",
    "center",
    "cite",
    "code",
    "col",
    "colgroup",
    "dd",
    "del",
    "div",
    "dl",
    "dt",
    "em",
    "fieldset",
    "font",
    "footer",
    "h1",
    "h2",
    "h3",
    "h4",
    "h5",
    "h6",
    "header",
    "hr",
    "i",
    "img",
    "ins",
    "label",
    "legend",
    "li",
    "mark",
    "nav",
    "ol",
    "p",
    "pre",
    "q",
    "rt",
    "ruby",
    "s",
    "section",
    "small",
    "span",
    "strong",
    "sub",
    "sup",
    "table",
    "tbody",
    "td",
    "tfoot",
    "th",
    "thead",
    "tr",
    "tt",
    "u",
    "ul"
];
export declare type SupportTag = typeof supportTagList[number];
declare const supportAttrMap: {
    readonly col: readonly [
        "span",
        "width"
    ];
    readonly colgroup: readonly [
        "span",
        "width"
    ];
    readonly img: readonly [
        "alt",
        "src",
        "height",
        "width"
    ];
    readonly ol: readonly [
        "start",
        "type"
    ];
    readonly table: readonly [
        "width"
    ];
    readonly td: readonly [
        "colspan",
        "height",
        "rowspan",
        "width"
    ];
    readonly th: readonly [
        "colspan",
        "height",
        "rowspan",
        "width"
    ];
    readonly tr: readonly [
        "colspan",
        "height",
        "rowspan",
        "width"
    ];
};
declare type SupportAttrMap = typeof supportAttrMap;
declare type AttributesByName<T extends SupportTag> = Partial<(T extends keyof SupportAttrMap ? Record<SupportAttrMap[T][number], string | number> : Record<string, never>) & {
    class: string;
    style: string;
}>;
export declare type PropNode<T extends SupportTag> = PropElementNode<T> | PropTextNode | null;
interface PropElementNode<T extends SupportTag> {
    type: 'node';
    name: T;
    attrs: AttributesByName<T>;
    children: PropNode<any>[];
}
interface PropTextNode {
    type: 'text';
    text: string;
}
export {};
