import type { PropNode, SupportTag } from "./const";
declare const richTextSpace: readonly [
    "ensp",
    "emsp",
    "nbsp"
];
/**
 * @value 'ensp' 中文字符空格一半大小
 * @value 'emsp' 中文字符空格大小
 * @value 'nbsp' 根据字体设置的空格大小
 */
declare type RichTextSpace = typeof richTextSpace[number];
/**
 * 富文本。
 *
 * @version {"kma":"1.2.0","ide":"1.22.0"}
 *
 */
export declare interface RichTextProps {
    /**
     * 节点列表/HTML String
     */
    nodes?: PropNode<SupportTag>[] | string;
    /**
     * 显示连续空格
     */
    space?: RichTextSpace;
}
export {};
