import type { CustomEvent } from "../../constructors/events";
/**
 * 滑动选择器。
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 *
 */
export declare interface SliderProps {
    /**
     * 在表单中的字段名
     */
    name?: string;
    /**
     * 最小值
     */
    min?: number;
    /**
     * 最大值
     */
    max?: number;
    /**
     * 步长，取值必须大于 0，并且可被(max - min)整除
     */
    step?: number;
    /**
     * 是否禁用
     */
    disabled?: boolean;
    /**
     * 当前取值
     */
    value?: number;
    /**
     * 背景条的颜色（请使用 backgroundColor）
     */
    color?: string;
    /**
     * 已选择的颜色（请使用 activeColor）
     */
    selectedColor?: string;
    /**
     * 已选择的颜色
     */
    activeColor?: string;
    /**
     * 背景条的颜色
     */
    backgroundColor?: string;
    /**
     * 滑块的大小，取值范围为 12 - 28
     */
    blockSize?: number;
    /**
     * 滑块的颜色
     */
    blockColor?: string;
    /**
     * 是否显示当前 value
     */
    showValue?: boolean;
    /**
     * 完成一次拖动后触发的事件，event.detail = {value}
     */
    onChange?: (event: CustomEvent<{
        value: number;
    }>) => void;
    /**
     * 拖动过程中触发的事件，event.detail = {value}
     */
    onChanging?: (event: CustomEvent<{
        value: number;
    }>) => void;
}
