import type { CustomEvent } from "../../constructors/events";
import { BaseProps } from "../props";
/**
 * 开关选择器。
 *
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 *
 */
export declare interface SwitchProps extends BaseProps {
    /**
     * 在表单中的字段名
     */
    name?: string;
    /**
     * 是否选中
     */
    checked?: boolean;
    /**
     * 是否禁用
     */
    disabled?: boolean;
    /**
     * switch 的颜色，同 css 的 color
     */
    color?: string;
    /**
     * 样式，有效值：switch, checkbox
     */
    type?: string;
    /**
     * checked 改变时触发 change 事件，event.detail={value}
     */
    onChange?: (event: CustomEvent<{
        value: boolean;
    }>) => void;
}
