declare const textSpace: readonly [
    "ensp",
    "emsp",
    "nbsp"
];
/**
 * @value 'ensp' 中文字符空格一半大小
 * @value 'emsp' 中文字符空格大小
 * @value 'nbsp' 根据字体设置的空格大小
 */
declare type TextSpace = typeof textSpace[number];
/**
 * 文本。
 * @version {"kma":"1.1.0","ide":"1.22.0"}
 *
 */
export declare interface TextProps {
    /**
     * 文本是否可选
     */
    selectable?: boolean;
    /**
     * 显示连续空格
     * @alpha
     */
    space?: TextSpace;
    /**
     * 是否解码
     * @alpha
     */
    decode?: boolean;
}
export {};
