import type { CustomEvent } from "../../constructors/events";
/**
 * 承载网页的容器。会自动铺满整个小程序页面
 * @version {"kma":"1.2.0","ide":"1.22.0"}
 *
 */
export declare interface WebViewProps {
    /**
     * webview 指向网页的链接
     */
    src?: string;
    /**
     * 网页向小程序 postMessage 时，会在特定时机（小程序后退、组件销毁、分享）触发并收到消息。e.detail = { data }，data是多次 postMessage 的参数组成的数组
     * @alpha
     */
    onMessage?: (event: CustomEvent<{
        data: Record<string, unknown>;
    }>) => void;
    /**
     * 网页加载成功时候触发此事件。e.detail = { src }
     * @alpha
     */
    onLoad?: (event: CustomEvent<{
        src: string;
    }>) => void;
    /**
     * 网页加载失败的时候触发此事件。e.detail = { src }
     * @alpha
     */
    onError?: (event: CustomEvent<{
        src: string;
    }>) => void;
}
