import type { AdProps } from "./Ad/props";
import type { CheckboxProps } from "./Checkbox/props";
import type { FormProps } from "./Form/props";
import type { LabelProps } from "./Label/props";
import type { NavigationBarProps } from "./NavigationBar/props";
import type { PickerProps } from "./Picker/props";
import type { PickerViewColumnProps } from "./PickerViewColumn/props";
import type { RichTextProps } from "./RichText/props";
import type { SwiperItemProps } from "./SwiperItem/props";
import type { TextareaProps } from "./Textarea/props";
import type { WebViewProps } from "./WebView/props";
import type { ButtonProps } from "./Button/props";
import type { CheckboxGroupProps } from "./CheckboxGroup/props";
import type { IconProps } from "./Icon/props";
import type { MapProps } from "./Map/props";
import type { NavigatorProps } from "./Navigator/props";
import type { ProgressProps } from "./Progress/props";
import type { ScrollViewProps } from "./ScrollView/props";
import type { SwitchProps } from "./Switch/props";
import type { CameraProps } from "./Camera/props";
import type { CoverImageProps } from "./CoverImage/props";
import type { ImageProps } from "./Image/props";
import type { MovableAreaProps } from "./MovableArea/props";
import type { RadioProps } from "./Radio/props";
import type { SliderProps } from "./Slider/props";
import type { VideoProps } from "./Video/props";
import type { CanvasProps } from "./Canvas/props";
import type { CoverViewProps } from "./CoverView/props";
import type { InputProps } from "./Input/props";
import type { MovableViewProps } from "./MovableView/props";
import type { PageMetaProps } from "./PageMeta/props";
import type { PickerViewProps } from "./PickerView/props";
import type { RadioGroupProps } from "./RadioGroup/props";
import type { SwiperProps } from "./Swiper/props";
import type { TextProps } from "./Text/props";
import type { ViewProps } from "./View/props";
import type { TapEvent } from "../constructors/events";
export type { AdProps } from "./Ad/props";
export type { CheckboxProps } from "./Checkbox/props";
export type { FormProps } from "./Form/props";
export type { LabelProps } from "./Label/props";
export type { NavigationBarProps } from "./NavigationBar/props";
export type { PickerProps, BasePickerProps, SelectorPickerProps, MultiSelectorPickerProps, TimePickerProps, DatePickerProps, RegionPickerProps, } from "./Picker/props";
export type { PickerViewColumnProps } from "./PickerViewColumn/props";
export type { RichTextProps } from "./RichText/props";
export type { SwiperItemProps } from "./SwiperItem/props";
export type { TextareaProps } from "./Textarea/props";
export type { WebViewProps } from "./WebView/props";
export type { ButtonProps } from "./Button/props";
export type { CheckboxGroupProps } from "./CheckboxGroup/props";
export type { IconProps } from "./Icon/props";
export type { MapProps } from "./Map/props";
export type { NavigatorProps } from "./Navigator/props";
export type { ProgressProps } from "./Progress/props";
export type { ScrollViewProps } from "./ScrollView/props";
export type { SwitchProps } from "./Switch/props";
export type { CameraProps } from "./Camera/props";
export type { CoverImageProps } from "./CoverImage/props";
export type { ImageProps } from "./Image/props";
export type { MovableAreaProps } from "./MovableArea/props";
export type { RadioProps } from "./Radio/props";
export type { SliderProps } from "./Slider/props";
export type { VideoProps } from "./Video/props";
export type { CanvasProps } from "./Canvas/props";
export type { CoverViewProps } from "./CoverView/props";
export type { InputProps } from "./Input/props";
export type { MovableViewProps } from "./MovableView/props";
export type { PageMetaProps } from "./PageMeta/props";
export type { PickerViewProps } from "./PickerView/props";
export type { RadioGroupProps } from "./RadioGroup/props";
export type { SwiperProps } from "./Swiper/props";
export type { TextProps } from "./Text/props";
export type { ViewProps } from "./View/props";
declare type ComponentAttributes<T> = T & {
    className?: string;
    style?: string;
    id?: string;
    onTap?: (event: TapEvent) => void;
    [key: `data-${any}`]: any;
};
export interface JSXElement {
    type: string;
    props: any;
    key?: string;
}
export interface JSXIntrinsicElements {
    ad: ComponentAttributes<AdProps>;
    checkbox: ComponentAttributes<CheckboxProps>;
    form: ComponentAttributes<FormProps>;
    label: ComponentAttributes<LabelProps>;
    'navigation-bar': ComponentAttributes<NavigationBarProps>;
    picker: ComponentAttributes<PickerProps>;
    'picker-view-column': ComponentAttributes<PickerViewColumnProps>;
    'rich-text': ComponentAttributes<RichTextProps>;
    'swiper-item': ComponentAttributes<SwiperItemProps>;
    textarea: ComponentAttributes<TextareaProps>;
    'web-view': ComponentAttributes<WebViewProps>;
    button: ComponentAttributes<ButtonProps>;
    'checkbox-group': ComponentAttributes<CheckboxGroupProps>;
    icon: ComponentAttributes<IconProps>;
    map: ComponentAttributes<MapProps>;
    navigator: ComponentAttributes<NavigatorProps>;
    progress: ComponentAttributes<ProgressProps>;
    'scroll-view': ComponentAttributes<ScrollViewProps>;
    switch: ComponentAttributes<SwitchProps>;
    camera: ComponentAttributes<CameraProps>;
    'cover-image': ComponentAttributes<CoverImageProps>;
    image: ComponentAttributes<ImageProps>;
    'movavle-area': ComponentAttributes<MovableAreaProps>;
    radio: ComponentAttributes<RadioProps>;
    silder: ComponentAttributes<SliderProps>;
    video: ComponentAttributes<VideoProps>;
    canvas: ComponentAttributes<CanvasProps>;
    'cover-view': ComponentAttributes<CoverViewProps>;
    input: ComponentAttributes<InputProps>;
    'movable-view': ComponentAttributes<MovableViewProps>;
    'page-meta': ComponentAttributes<PageMetaProps>;
    'picker-view': ComponentAttributes<PickerViewProps>;
    'radio-group': ComponentAttributes<RadioGroupProps>;
    swiper: ComponentAttributes<SwiperProps>;
    text: ComponentAttributes<TextProps>;
    view: ComponentAttributes<ViewProps>;
}
