import type { AnyObject, DefaultProps } from "./common";
import type { ComponentInstance, ComponentLifeCycle, DefinitionFilter, FullProperty, PropType } from "./component";
export declare type BehaviorInstance<Data extends AnyObject, Props extends AnyObject, Method extends Record<string, (...args: any[]) => any> = Record<string, (...args: any[]) => any>> = ComponentInstance<Data, Props, Method>;
export declare type BehaviorOptions<Data extends AnyObject, Props extends DefaultProps, Methods extends AnyObject> = Partial<{
    data: Data;
    properties: Props;
    methods: Methods;
    behaviors: (string | BehaviorOptions<any, any, any>)[];
    definitionFilter?: DefinitionFilter;
}> & Partial<ComponentLifeCycle> & ThisType<ComponentInstance<Data, Props, Methods>>;
export declare type BehaviorConstructor = <Data extends AnyObject = {}, Props extends Record<string, null | FullProperty<any, boolean> | PropType<any>> = {}, Methods extends AnyObject = {}>(options: BehaviorOptions<Data, Props, Methods>) => BehaviorOptions<Data, Props, Methods>;
